## org.codehaus.groovy.grails.scaffolding.exceptions
Class ScaffoldingException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  org.codehaus.groovy.grails.exceptions.GrailsException
                      org.codehaus.groovy.grails.scaffolding.exceptions.ScaffoldingException

All Implemented Interfaces:
  Serializable

    public class ScaffoldingException

extends GrailsException

Exception thrown generally when initialisation of scaffolding fails

Since:
  30 Nov 2005
Author:
  Graeme Rocher
See Also:
  Serialized Form

Constructor Summary
`ScaffoldingException()`
`ScaffoldingException(String arg0)`
`ScaffoldingException(String arg0, Throwable arg1)`
`ScaffoldingException(Throwable arg0)`

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ScaffoldingException

    public ScaffoldingException()

### ScaffoldingException

    public ScaffoldingException(String arg0,
                                Throwable arg1)

### ScaffoldingException

    public ScaffoldingException(String arg0)

### ScaffoldingException

    public ScaffoldingException(Throwable arg0)

Copyright (c) 2005-2009 The Grails project